/* 
 * %Z%%W% %I%
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * IBM Java(tm)2 SDK, Standard Edition, v 1.4 
 *
 * (C) Copyright IBM Corp. 1998 , 2002. All Rights Reserved
 * (C) Copyright Sun Microsystems Inc. 1997 , 2002. All Rights Reserved
 * ===========================================================================
 */


package com.sun.tools.example.debug.gui;

import java.io.*;
import java.util.*;

public class SearchPath {

    private String pathString;

    private String[] pathArray;

    public SearchPath(String searchPath) {
	//### Should check searchpath for well-formedness.
	StringTokenizer st = new StringTokenizer(searchPath, File.pathSeparator);
	List dlist = new ArrayList();
	while (st.hasMoreTokens()) {
	    dlist.add(st.nextToken());
	}
	pathString = searchPath;
	pathArray = (String[])dlist.toArray(new String[dlist.size()]);
    }

    public boolean isEmpty() {
	return (pathArray.length == 0);
    }

    public String asString() {
	return pathString;
    }
    
    public String[] asArray() {
	return (String[])pathArray.clone();
    }

    public File resolve(String relativeFileName) {
        for (int i = 0; i < pathArray.length; i++) {
            File path = new File(pathArray[i], relativeFileName);
            if (path.exists()) {
		return path;
            }
        }
        return null;
    }

    //### return List?

    public String[] children(String relativeDirName, FilenameFilter filter) {
	// If a file appears at the same relative path
	// with respect to multiple entries on the classpath,
	// the one corresponding to the earliest entry on the
	// classpath is retained.  This is the one that will be
	// found if we later do a 'resolve'.
	SortedSet s = new TreeSet();  // sorted, no duplicates
        for (int i = 0; i < pathArray.length; i++) {
            File path = new File(pathArray[i], relativeDirName);
            if (path.exists()) {
		String[] childArray = path.list(filter);
		if (childArray != null) {
		    for (int j = 0; j < childArray.length; j++) {
			if (!s.contains(childArray[j])) {
			    s.add(childArray[j]);
			}
		    }
		}
	    }
	}
        return (String[])s.toArray(new String[s.size()]);
    }

}
